Skip to content
Twexapi
English
Esc
navigateopen⌘Jpreview

Get Retweeters by Page

Retrieve retweeters using cursor-based pagination. Each page returns up to 20 users. Pass next_cursor from the previous response to continue.

Back to API Reference
/Tweet Engagement Endpoints
POST/twitter/tweets/retweeters/page
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/json
tweet_idstringrequired
The ID of the tweet to get retweeters for.
next_cursorstring | any
Cursor returned by the previous page. Leave empty to fetch the first page.
Show properties
Any of:
string
string
any
any
Responses
200Current page data (up to 20 users) and pagination metadata (has_next_page, next_cursor).
codeintegerrequired
The status code of the response.
msgstringrequired
The message of the response.
dataUserModel[]required
A list of user objects for the current page.
Show properties
Array of UserModel
idstringrequired
User ID
namestringrequired
Display name
screen_namestringrequired
Twitter username
created_atstring | any
Account creation date
Show properties
Any of:
string
string
any
any
created_at_datetimestring | any
Account creation datetime in ISO format
Show properties
Any of:
string
string
any
any
can_dmboolean | any
Whether the user can be direct messaged
default: false
Show properties
Any of:
boolean
boolean
any
any
can_media_tagboolean | any
Whether the user can be tagged in media
default: false
Show properties
Any of:
boolean
boolean
any
any
default_profileboolean | any
Whether the user has a default profile
default: false
Show properties
Any of:
boolean
boolean
any
any
default_profile_imageboolean | any
Whether the user has a default profile image
default: false
Show properties
Any of:
boolean
boolean
any
any
descriptionstring | any
User's bio description
default: ""
Show properties
Any of:
string
string
any
any
description_urlsstring[]
List of URLs found in the user's description
default: []
urlsurlModel[] | any
List of URLs found in the user's profile
Show properties
Any of:
urlModel[]
Array of urlModel
urlstringrequired
URL
expanded_urlstring | any
Expanded URL
Show properties
Any of:
string
string
any
any
display_urlstring | any
Display URL
Show properties
Any of:
string
string
any
any
any
any
fast_followers_countinteger | any
Count of fast followers
default: 0
Show properties
Any of:
integer
integer
any
any
favourites_countinteger | any
Number of tweets the user has liked
default: 0
Show properties
Any of:
integer
integer
any
any
followers_countinteger | any
Number of followers
default: 0
Show properties
Any of:
integer
integer
any
any
following_countinteger | any
Number of users this user is following
default: 0
Show properties
Any of:
integer
integer
any
any
has_custom_timelinesboolean | any
Whether the user has custom timelines
default: false
Show properties
Any of:
boolean
boolean
any
any
is_blue_verifiedboolean | any
Blue verification status
default: false
Show properties
Any of:
boolean
boolean
any
any
verified_typestring | any
Verification badge type when not blue-only: blue, business, government, etc.
Show properties
Any of:
string
string
any
any
is_verifiedboolean | any
True if the account has any verification badge (blue, business, government, or legacy verified)
default: false
Show properties
Any of:
boolean
boolean
any
any
profile_image_shapestring | any
Profile image shape (Circle or Square; Square often indicates business/government)
Show properties
Any of:
string
string
any
any
is_translatorboolean | any
Whether the user is a translator
default: false
Show properties
Any of:
boolean
boolean
any
any
listed_countinteger | any
Number of public lists the user is a member of
default: 0
Show properties
Any of:
integer
integer
any
any
locationstring | any
User's location
default: ""
Show properties
Any of:
string
string
any
any
media_countinteger | any
Number of media tweets posted by the user
default: 0
Show properties
Any of:
integer
integer
any
any
normal_followers_countinteger | any
Count of normal followers
default: 0
Show properties
Any of:
integer
integer
any
any
pinned_tweet_idsstring[]
List of pinned tweet IDs
default: []
possibly_sensitiveboolean | any
Whether the user's profile may contain sensitive content
default: false
Show properties
Any of:
boolean
boolean
any
any
profile_banner_urlstring | any
URL of the user's profile banner
Show properties
Any of:
string
string
any
any
profile_image_urlstring | any
URL of the user's profile image
Show properties
Any of:
string
string
any
any
protectedboolean | any
Whether the user's tweets are protected
default: false
Show properties
Any of:
boolean
boolean
any
any
statuses_countinteger | any
Number of tweets posted by the user
default: 0
Show properties
Any of:
integer
integer
any
any
has_next_pagebooleanrequired
Whether another page is available.
next_cursorstring | any
Use this cursor to fetch the next page when has_next_page is true.
Show properties
Any of:
string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Interactive ConsolePOST
Interactive Console / Try APIPOST
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X POST "https://api.twexapi.io/twitter/tweets/retweeters/page" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "tweet_id": "string",
  "next_cursor": ""
}'
Response
{
  "code": 0,
  "msg": "string",
  "data": [
    {
      "id": "1717001045992251392",
      "name": "Cryptoklepto",
      "screen_name": "CK_Cryptoklepto",
      "created_at": "Mon Oct 28 02:32:47 +0000 2024",
      "created_at_datetime": "2024-10-28T02:32:47.000Z",
      "can_dm": false,
      "can_media_tag": false,
      "default_profile": false,
      "default_profile_image": false,
      "description": "",
      "description_urls": [],
      "urls": [
        {
          "url": "https://www.google.com",
          "expanded_url": "https://www.google.com",
          "display_url": "www.google.com"
        }
      ],
      "fast_followers_count": 0,
      "favourites_count": 0,
      "followers_count": 0,
      "following_count": 0,
      "has_custom_timelines": false,
      "is_blue_verified": false,
      "verified_type": "government",
      "is_verified": false,
      "profile_image_shape": "Circle",
      "is_translator": false,
      "listed_count": 0,
      "location": "New York, USA",
      "media_count": 0,
      "normal_followers_count": 0,
      "pinned_tweet_ids": [],
      "possibly_sensitive": false,
      "profile_banner_url": "string",
      "profile_image_url": "string",
      "protected": false,
      "statuses_count": 0
    }
  ],
  "has_next_page": true,
  "next_cursor": "eyJpZCI6IjIwNjAwNTE1Mzg3OTQ0Mzg2NzciLCJmbG9ja0N1cnNvciI6IjQ2MTE2ODYwMTg2Mjg5ODcxNzkiLCJvcmlnaW5hbERpcmVjdGlvbiI6IkRlc2NlbmRpbmcifQ==-999995"
}